summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlorian Fischer <vlooe@web.de>2009-04-19 01:01:28 +0200
committerFlorian Fischer <vlooe@web.de>2009-04-19 01:01:28 +0200
commit986c28c10515bb6c8079ca93d169c4809684f196 (patch)
tree1ca3fe0c92f3d8021e4d21122d5aeb00a1eac91c /dev-lang
parentsynced dev-db/sqlite with main tree and minor cleanup (diff)
downloadmultilib-portage-986c28c10515bb6c8079ca93d169c4809684f196.tar.gz
multilib-portage-986c28c10515bb6c8079ca93d169c4809684f196.tar.bz2
multilib-portage-986c28c10515bb6c8079ca93d169c4809684f196.zip
synced dev-lang/python with main tree and whitespace cleanup
Diffstat (limited to 'dev-lang')
-rw-r--r--dev-lang/python/Manifest2
-rw-r--r--dev-lang/python/python-2.6.1-r1.ebuild13
2 files changed, 8 insertions, 7 deletions
diff --git a/dev-lang/python/Manifest b/dev-lang/python/Manifest
index ef01389c7..f104d64b6 100644
--- a/dev-lang/python/Manifest
+++ b/dev-lang/python/Manifest
@@ -21,4 +21,4 @@ DIST python-gentoo-patches-2.5.4.tar.bz2 19474 RMD160 00bb0918414db251b11b7f19a9
DIST python-gentoo-patches-2.6-r5.tar.bz2 7431 RMD160 dbfc0715773446614843b45818d4152ca133140a SHA1 495cbfbf333052faf6860cf2d682f249a787557c SHA256 ef81eac97d933c77afcfd2434f44132717cd0a1550d1092e388e3c2f3dd5f3cf
EBUILD python-2.5.2-r7.ebuild 10730 RMD160 93627852adbd2e41c4e5342840ca2b49f2a98405 SHA1 2eb26b8b69f62d5d981c79f6ea7e3a79b7884741 SHA256 986687608226bff47761fb44210e158a83badff0a856fbf89cdb360e0b846e35
EBUILD python-2.5.4-r2.ebuild 10837 RMD160 29f73f461fa8e93ff44db67004303fcca2fcb558 SHA1 ee319c6f3058d6003f0a402de7a7005cd2874585 SHA256 9a5dd5b4d3ed4a93bd9b2393e4590f3d5cbaea3c555b2332df158200a41b42ec
-EBUILD python-2.6.1-r1.ebuild 9209 RMD160 466694abd36d1ba29f82bd2902fb402aa35705f4 SHA1 a8d79f68b6ed8516a1f06e35330f368901b44dfe SHA256 ac26547932f5eb1945094894b3fd2833304b7b313338f2326e9efe6462b9cf1a
+EBUILD python-2.6.1-r1.ebuild 9268 RMD160 8fe543b70cdf557b504e21b31e0cc6acd111c7ee SHA1 9851b055d3667e49a86449db076e97efca0441a5 SHA256 21570141e43249e646e3a120c4ee47d85f9b2b10b286783192265b0a04bb4e3f
diff --git a/dev-lang/python/python-2.6.1-r1.ebuild b/dev-lang/python/python-2.6.1-r1.ebuild
index 81a239ff7..35f5dd616 100644
--- a/dev-lang/python/python-2.6.1-r1.ebuild
+++ b/dev-lang/python/python-2.6.1-r1.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.6.1-r1.ebuild,v 1.2 2009/03/26 05:10:31 zmedico Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.6.1-r1.ebuild,v 1.4 2009/04/17 06:56:30 kumba Exp $
# NOTE about python-portage interactions :
# - Do not add a pkg_setup() check for a certain version of portage
@@ -28,7 +28,7 @@ SRC_URI="http://www.python.org/ftp/python/2.6.1/${MY_P}.tar.bz2
LICENSE="PSF-2.2"
SLOT="2.6"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
IUSE="berkdb build doc elibc_uclibc examples gdbm ipv6 ncurses readline sqlite ssl +threads tk ucs2 wininst +xml"
# NOTE: dev-python/{elementtree,celementtree,pysqlite,ctypes,cjkcodecs}
@@ -58,9 +58,10 @@ multilib-native_src_prepare_internal() {
default
if tc-is-cross-compiler ; then
- [[ $(python -V 2>&1) != "Python ${PV}" ]] && \
- die "Crosscompiling requires the same host and build versions."
+ epatch "${FILESDIR}"/python-2.5-cross-printf.patch
+ epatch "${FILESDIR}"/python-2.6-chflags-cross.patch
epatch "${FILESDIR}"/python-2.6-test-cross.patch
+ epatch "${FILESDIR}"/python-2.6-cross-patch-tweak.patch
else
rm "${WORKDIR}/${PYVER}"/*_all_crosscompile.patch
fi
@@ -144,7 +145,7 @@ multilib-native_src_configure_internal() {
if tc-is-cross-compiler ; then
OPT="-O1" CFLAGS="" LDFLAGS="" CC="" \
- ./configure || die "cross-configure failed"
+ ./configure --{build,host}=${CBUILD} || die "cross-configure failed"
emake python Parser/pgen || die "cross-make failed"
mv python hostpython
mv Parser/pgen Parser/hostpgen
@@ -179,7 +180,7 @@ multilib-native_src_install_internal() {
emake DESTDIR="${D}" altinstall maninstall || die
mv "${D}"/usr/bin/python${PYVER}-config "${D}"/usr/bin/python-config-${PYVER}
- if [[ $(number_abis) -gt 1 ]] && ! is_final_abi; then
+ if [[ $(number_abis) -gt 1 ]] && ! is_final_abi; then
mv "${D}"/usr/bin/python${PYVER} "${D}"/usr/bin/python${PYVER}-${ABI}
fi